[SOVLED] Application failed to initialize

The place to discuss linux version of MakeMKV
Post Reply
vmclark
Posts: 3
Joined: Tue Oct 23, 2018 7:00 pm

[SOVLED] Application failed to initialize

Post by vmclark » Tue Oct 23, 2018 7:15 pm

xubuntu 18.10 "Cosmic"
makemkv 1.12.3

When executing 'makemkv', I get "Application failed to initialize".
Here's what I did:
sudo apt-get install build-essential pkg-config libc6-dev libssl-dev libexpat1-dev libavcodec-dev libgl1-mesa-dev libqt4-dev zlib1g-dev

oss:
./configure
make
sudo make install

bin:
make
sudo make install

Code: Select all

$ ldd -v /usr/bin/makemkvcon
	statically linked

Code: Select all

$ makemkvcon
Segmentation fault (core dumped)
Last edited by vmclark on Wed Oct 24, 2018 5:11 pm, edited 1 time in total.

geek1half
Posts: 2
Joined: Wed Oct 24, 2018 8:03 am

Re: Application failed to initialize

Post by geek1half » Wed Oct 24, 2018 8:06 am

I have the same issue on Ubuntu 18.10. I then noticed some new steps at the bottom of this post that I never notice before: viewtopic.php?f=3&t=224

I followed those steps and compiled latest ffmpeg with aac support. Compiled oss and everything. I still get the same error. Hopefully someone has a solution.

vmclark
Posts: 3
Joined: Tue Oct 23, 2018 7:00 pm

Re: Application failed to initialize

Post by vmclark » Wed Oct 24, 2018 5:09 pm

I fixed it! Odd though. Back when I first installed makemkv on Xubuntu "Bionic", I had removed several programs. I used the exact list, and remove them from Xubuntu "Cosmic". Installing makemkv on "Cosmic" failed as described above. I then re-installed "Cosmic" leaving all programs intact, and makemkv installed and worked perfectly. It could be just a "Red herring". At any rate, its now installed correctly.

Eddy555
Posts: 8
Joined: Mon Jun 12, 2017 1:39 pm

Re: [SOVLED] Application failed to initialize

Post by Eddy555 » Tue Dec 04, 2018 4:54 pm

I've got the same issue on Ubuntu 18.10 but haven't managed to resolve it.
I removed the install completely and installed 1.14.2 again but that didn't fix it.
I switched back to 1.12.3 and that fires up OK.

In the error logs I was getting the following

Code: Select all

Dec  4 16:19:52 FujiServe makemkv[23685]: Failed to load module "canberra-gtk-module"
Dec  4 16:19:53 FujiServe org.gnome.Shell.desktop[3799]: Window manager warning: Invalid WM_TRANSIENT_FOR window 0x3600005 specified for 0x3600003 (MakeMKV BE).
Installing libcanberra-gtk-module got rid of that error but I was still getting the following

Code: Select all

Dec  4 16:47:34 FujiServe org.gnome.Shell.desktop[3813]: Window manager warning: Invalid WM_TRANSIENT_FOR window 0x3e00005 specified for 0x3e00003 (MakeMKV BE).

Eddy555
Posts: 8
Joined: Mon Jun 12, 2017 1:39 pm

Re: [SOVLED] Application failed to initialize

Post by Eddy555 » Mon Mar 04, 2019 2:03 pm

I still failed to get this working, despite upgrading from Ubuntu 18.04 to 18.10 and rebuilding the source with the optional libraries. I kept getting the same errors.
However using the PPA from
https://launchpad.net/~heyarje/+archive ... kemkv-beta
Got it working perfectly for me, so I guess there's something wrong with how it builds on my setup

Post Reply